# Servo_thermometer.py

import machine
from machine import Pin, ADC
import onewire
import ds18x20
from time import sleep

p4 = machine.Pin(18)
servo = machine.PWM(p4,freq=50)

# duty for servo is between 52 and 102
duty_min = 52  # 52*20/1023  ms=1.02 ms
duty_mid = 77  # 77*20/1023  ms=1.51 ms
duty_max = 102 # 102*20/1023 ms=1.99 ms

# pot = ADC(Pin(34))
# pot.atten(ADC.ATTN_11DB)    #Full range: 3.3v

ow=onewire.OneWire(Pin(25))   #Init wire
ow.scan()
ds=ds18x20.DS18X20(ow)        #create ds18x20 object
  
while True:
    # pot_value = pot.read()
    # voltage = 0.000816*pot_value + 0.037822
    #print(voltage)

    roms=ds.scan()             #scan ds18x20
    ds.convert_temp()         #convert temperature
    for rom in roms:
        T=ds.read_temp(rom)
    print(T)                  #test output
    pos = int(duty_max-(duty_max-duty_min)*T/50)
    servo.duty(pos)
    sleep(0.1)